/*
 ##############################################################
 # (C) 2015 BAE SYSTEMS
 #
 # ECOA Data Servers Sample - Example Data Server Client command-line interface
 #
 # $Id: SQLIF.h,v 2.1 2017/11/06 15:33:32 ksappleb Exp $
 #
 # Part of the BAE Systems, Rochester, ECOA Samples collection
 #
 # Created by K S Appleby, BAE Systems, Airport Works, Rochester, Kent
 #
 # This software is developed for and on behalf of BAE Systems (Operations)
 # Limited, Dassault Aviation, Bull SAS, Thales Systemes Aeroportes,
 # GE Aviation Systems Limited,
 # General Dynamics United Kingdom Limited and Leonardo MW Ltd,
 # and the copyright is owned by BAE Systems (Operations) Limited,
 # Dassault Aviation, Bull SAS, Thales Systemes Aeroportes, 
 # GE Aviation Systems Limited, General Dynamics United Kingdom
 # Limited and Leonardo MW Ltd
 #
 # This software is developed by BAE Systems (Operations)
 # Limited, Electronic Systems, and is the Intellectual
 # Property of BAE Systems (Operations) Limited, Electronic Systems.
 #
 # The information set out in this document is provided solely
 # on an 'as is' basis and the co-developers of this software make
 # no warranties expressed or implied, including no warranties
 # as to completeness, accuracy or fitness for purpose, with respect
 # to any of the information.
 ##############################################################
*/
#ifndef STEPS_4_COMPONENTIMPLEMENTATIONS_MISSIONSYS_MISSIONSYS_MODMAIN_SQLIF_H_
#define STEPS_4_COMPONENTIMPLEMENTATIONS_MISSIONSYS_MISSIONSYS_MODMAIN_SQLIF_H_

#include "MissionSys_modMain.h"
#include<ECOA.h>

char* SQLIF_Help( ECOA__char8* resultBuff );
int SQLIF_processCommand(MissionSys_modMain__context *context, ECOA__char8* stringToParse, ECOA__char8* resultBuff);


#endif /* STEPS_4_COMPONENTIMPLEMENTATIONS_MISSIONSYS_MISSIONSYS_MODMAIN_SQLIF_H_ */
