/* File metServer_modMain_user_context.h */

#if !defined(_METSERVER_MODMAIN_USER_CONTEXT_H)
#define _METSERVER_MODMAIN_USER_CONTEXT_H

#if defined(__cplusplus)
extern "C" {
#endif /* __cplusplus */

/* Container Types */
#include "metServer_modMain_container_types.h"

#include "Weather.h"

#define WX_LIFETIME 1800

/* User Module Context structure example */
typedef struct
{
	Weather__WeatherRecd wx;
	Weather__WeatherRecd fcast;

} metServer_modMain_user_context;

/* Warm Start Module Context structure example */
typedef struct
{
   /* declare the Warm Start Module Context data here */
   int dmy;
} metServer_modMain_warm_start_context;

#if defined(__cplusplus)
}
#endif /* __cplusplus */

#endif  /* _METSERVER_MODMAIN_USER_CONTEXT_H */
