-- File ECOA_Assets.ads
with ECOA;


package ECOA_Assets is


   CMP_dbmServer : constant ECOA.Asset_Id_Type := 0;
   CMP_sqlServer : constant ECOA.Asset_Id_Type := 1;
   CMP_fileServer : constant ECOA.Asset_Id_Type := 2;
   CMP_AVModel : constant ECOA.Asset_Id_Type := 3;
   CMP_HUMS : constant ECOA.Asset_Id_Type := 4;
   CMP_MissionSys : constant ECOA.Asset_Id_Type := 5;
   CMP_NavSys : constant ECOA.Asset_Id_Type := 6;
   CMP_dbmServer2 : constant ECOA.Asset_Id_Type := 7;
   CMP_metServer : constant ECOA.Asset_Id_Type := 8;

   PD_dbmServer : constant ECOA.Asset_Id_Type := 0;
   PD_sqlServer : constant ECOA.Asset_Id_Type := 1;
   PD_fileServer : constant ECOA.Asset_Id_Type := 2;
   PD_AirVehicle : constant ECOA.Asset_Id_Type := 3;
   PD_dbClient : constant ECOA.Asset_Id_Type := 4;

   NOD_cpu : constant ECOA.Asset_Id_Type := 0;

   PF_host : constant ECOA.Asset_Id_Type := 0;

   SOP_HUMS_DBM_dbmServer_DBM_open : constant ECOA.Asset_Id_Type := 0;
   SOP_HUMS_DBM_dbmServer_DBM_close : constant ECOA.Asset_Id_Type := 1;
   SOP_HUMS_DBM_dbmServer_DBM_store : constant ECOA.Asset_Id_Type := 2;
   SOP_HUMS_DBM_dbmServer_DBM_fetch : constant ECOA.Asset_Id_Type := 3;
   SOP_HUMS_DBM_dbmServer_DBM_exists : constant ECOA.Asset_Id_Type := 4;
   SOP_HUMS_DBM_dbmServer_DBM_delete : constant ECOA.Asset_Id_Type := 5;
   SOP_HUMS_DBM_dbmServer_DBM_firstkey : constant ECOA.Asset_Id_Type := 6;
   SOP_HUMS_DBM_dbmServer_DBM_nexttkey : constant ECOA.Asset_Id_Type := 7;
   SOP_HUMS_DBM_dbmServer_DBM_reorganize : constant ECOA.Asset_Id_Type := 8;
   SOP_HUMS_DBM_dbmServer_DBM_sync : constant ECOA.Asset_Id_Type := 9;
   SOP_HUMS_DBM_dbmServer_DBM_lasterror : constant ECOA.Asset_Id_Type := 10;
   SOP_HUMS_DBM_dbmServer_DBM_setopt : constant ECOA.Asset_Id_Type := 11;
   SOP_HUMS_DBM_dbmServer_DBM_dump : constant ECOA.Asset_Id_Type := 12;
   SOP_HUMS_DBM_dbmServer_DBM_take : constant ECOA.Asset_Id_Type := 13;
   SOP_HUMS_DBM_dbmServer_DBM_getHelp : constant ECOA.Asset_Id_Type := 14;
   SOP_HUMS_DBM_dbmServer_DBM_getLimits : constant ECOA.Asset_Id_Type := 15;
   SOP_HUMS_DBM_dbmServer_DBM_getCounts : constant ECOA.Asset_Id_Type := 16;
   SOP_HUMS_SQL_sqlServer_SQL_tableUpdateNotification : constant ECOA.Asset_Id_Type := 17;
   SOP_HUMS_SQL_sqlServer_SQL_getConnection : constant ECOA.Asset_Id_Type := 18;
   SOP_HUMS_SQL_sqlServer_SQL_endConnection : constant ECOA.Asset_Id_Type := 19;
   SOP_HUMS_SQL_sqlServer_SQL_SQLExecute : constant ECOA.Asset_Id_Type := 20;
   SOP_HUMS_SQL_sqlServer_SQL_getResult : constant ECOA.Asset_Id_Type := 21;
   SOP_HUMS_SQL_sqlServer_SQL_getResultData : constant ECOA.Asset_Id_Type := 22;
   SOP_HUMS_SQL_sqlServer_SQL_getResultColumnCount : constant ECOA.Asset_Id_Type := 23;
   SOP_HUMS_SQL_sqlServer_SQL_getResultColumnInfo : constant ECOA.Asset_Id_Type := 24;
   SOP_HUMS_SQL_sqlServer_SQL_getStatus : constant ECOA.Asset_Id_Type := 25;
   SOP_HUMS_SQL_sqlServer_SQL_setUpdateTable : constant ECOA.Asset_Id_Type := 26;
   SOP_HUMS_SQL_sqlServer_SQL_dump : constant ECOA.Asset_Id_Type := 27;
   SOP_HUMS_SQL_sqlServer_SQL_take : constant ECOA.Asset_Id_Type := 28;
   SOP_HUMS_SQL_sqlServer_SQL_getHelp : constant ECOA.Asset_Id_Type := 29;
   SOP_HUMS_SQL_sqlServer_SQL_listTables : constant ECOA.Asset_Id_Type := 30;
   SOP_HUMS_SQL_sqlServer_SQL_getLimits : constant ECOA.Asset_Id_Type := 31;
   SOP_HUMS_SQL_sqlServer_SQL_getCounts : constant ECOA.Asset_Id_Type := 32;
   SOP_HUMS_SQL_sqlServer_SQL_getErrorText : constant ECOA.Asset_Id_Type := 33;
   SOP_HUMS_AVS_AVModel_AVS_AVSUpdate : constant ECOA.Asset_Id_Type := 34;
   SOP_MissionSys_DBM1_dbmServer_DBM_open : constant ECOA.Asset_Id_Type := 35;
   SOP_MissionSys_DBM1_dbmServer_DBM_close : constant ECOA.Asset_Id_Type := 36;
   SOP_MissionSys_DBM1_dbmServer_DBM_store : constant ECOA.Asset_Id_Type := 37;
   SOP_MissionSys_DBM1_dbmServer_DBM_fetch : constant ECOA.Asset_Id_Type := 38;
   SOP_MissionSys_DBM1_dbmServer_DBM_exists : constant ECOA.Asset_Id_Type := 39;
   SOP_MissionSys_DBM1_dbmServer_DBM_delete : constant ECOA.Asset_Id_Type := 40;
   SOP_MissionSys_DBM1_dbmServer_DBM_firstkey : constant ECOA.Asset_Id_Type := 41;
   SOP_MissionSys_DBM1_dbmServer_DBM_nexttkey : constant ECOA.Asset_Id_Type := 42;
   SOP_MissionSys_DBM1_dbmServer_DBM_reorganize : constant ECOA.Asset_Id_Type := 43;
   SOP_MissionSys_DBM1_dbmServer_DBM_sync : constant ECOA.Asset_Id_Type := 44;
   SOP_MissionSys_DBM1_dbmServer_DBM_lasterror : constant ECOA.Asset_Id_Type := 45;
   SOP_MissionSys_DBM1_dbmServer_DBM_setopt : constant ECOA.Asset_Id_Type := 46;
   SOP_MissionSys_DBM1_dbmServer_DBM_dump : constant ECOA.Asset_Id_Type := 47;
   SOP_MissionSys_DBM1_dbmServer_DBM_take : constant ECOA.Asset_Id_Type := 48;
   SOP_MissionSys_DBM1_dbmServer_DBM_getHelp : constant ECOA.Asset_Id_Type := 49;
   SOP_MissionSys_DBM1_dbmServer_DBM_getLimits : constant ECOA.Asset_Id_Type := 50;
   SOP_MissionSys_DBM1_dbmServer_DBM_getCounts : constant ECOA.Asset_Id_Type := 51;
   SOP_MissionSys_SQL_sqlServer_SQL_tableUpdateNotification : constant ECOA.Asset_Id_Type := 52;
   SOP_MissionSys_SQL_sqlServer_SQL_getConnection : constant ECOA.Asset_Id_Type := 53;
   SOP_MissionSys_SQL_sqlServer_SQL_endConnection : constant ECOA.Asset_Id_Type := 54;
   SOP_MissionSys_SQL_sqlServer_SQL_SQLExecute : constant ECOA.Asset_Id_Type := 55;
   SOP_MissionSys_SQL_sqlServer_SQL_getResult : constant ECOA.Asset_Id_Type := 56;
   SOP_MissionSys_SQL_sqlServer_SQL_getResultData : constant ECOA.Asset_Id_Type := 57;
   SOP_MissionSys_SQL_sqlServer_SQL_getResultColumnCount : constant ECOA.Asset_Id_Type := 58;
   SOP_MissionSys_SQL_sqlServer_SQL_getResultColumnInfo : constant ECOA.Asset_Id_Type := 59;
   SOP_MissionSys_SQL_sqlServer_SQL_getStatus : constant ECOA.Asset_Id_Type := 60;
   SOP_MissionSys_SQL_sqlServer_SQL_setUpdateTable : constant ECOA.Asset_Id_Type := 61;
   SOP_MissionSys_SQL_sqlServer_SQL_dump : constant ECOA.Asset_Id_Type := 62;
   SOP_MissionSys_SQL_sqlServer_SQL_take : constant ECOA.Asset_Id_Type := 63;
   SOP_MissionSys_SQL_sqlServer_SQL_getHelp : constant ECOA.Asset_Id_Type := 64;
   SOP_MissionSys_SQL_sqlServer_SQL_listTables : constant ECOA.Asset_Id_Type := 65;
   SOP_MissionSys_SQL_sqlServer_SQL_getLimits : constant ECOA.Asset_Id_Type := 66;
   SOP_MissionSys_SQL_sqlServer_SQL_getCounts : constant ECOA.Asset_Id_Type := 67;
   SOP_MissionSys_SQL_sqlServer_SQL_getErrorText : constant ECOA.Asset_Id_Type := 68;
   SOP_MissionSys_DBM2_dbmServer2_DBM_open : constant ECOA.Asset_Id_Type := 69;
   SOP_MissionSys_DBM2_dbmServer2_DBM_close : constant ECOA.Asset_Id_Type := 70;
   SOP_MissionSys_DBM2_dbmServer2_DBM_store : constant ECOA.Asset_Id_Type := 71;
   SOP_MissionSys_DBM2_dbmServer2_DBM_fetch : constant ECOA.Asset_Id_Type := 72;
   SOP_MissionSys_DBM2_dbmServer2_DBM_exists : constant ECOA.Asset_Id_Type := 73;
   SOP_MissionSys_DBM2_dbmServer2_DBM_delete : constant ECOA.Asset_Id_Type := 74;
   SOP_MissionSys_DBM2_dbmServer2_DBM_firstkey : constant ECOA.Asset_Id_Type := 75;
   SOP_MissionSys_DBM2_dbmServer2_DBM_nexttkey : constant ECOA.Asset_Id_Type := 76;
   SOP_MissionSys_DBM2_dbmServer2_DBM_reorganize : constant ECOA.Asset_Id_Type := 77;
   SOP_MissionSys_DBM2_dbmServer2_DBM_sync : constant ECOA.Asset_Id_Type := 78;
   SOP_MissionSys_DBM2_dbmServer2_DBM_lasterror : constant ECOA.Asset_Id_Type := 79;
   SOP_MissionSys_DBM2_dbmServer2_DBM_setopt : constant ECOA.Asset_Id_Type := 80;
   SOP_MissionSys_DBM2_dbmServer2_DBM_dump : constant ECOA.Asset_Id_Type := 81;
   SOP_MissionSys_DBM2_dbmServer2_DBM_take : constant ECOA.Asset_Id_Type := 82;
   SOP_MissionSys_DBM2_dbmServer2_DBM_getHelp : constant ECOA.Asset_Id_Type := 83;
   SOP_MissionSys_DBM2_dbmServer2_DBM_getLimits : constant ECOA.Asset_Id_Type := 84;
   SOP_MissionSys_DBM2_dbmServer2_DBM_getCounts : constant ECOA.Asset_Id_Type := 85;
   SOP_MissionSys_AVS_AVModel_AVS_AVSUpdate : constant ECOA.Asset_Id_Type := 86;
   SOP_MissionSys_Weather_metServer_Weather_setLocation : constant ECOA.Asset_Id_Type := 87;
   SOP_MissionSys_Weather_metServer_Weather_getWeather : constant ECOA.Asset_Id_Type := 88;
   SOP_MissionSys_Weather_metServer_Weather_getForecastWeather : constant ECOA.Asset_Id_Type := 89;
   SOP_MissionSys_Weather_metServer_Weather_getWeatherItem : constant ECOA.Asset_Id_Type := 90;
   SOP_MissionSys_Weather_metServer_Weather_getForecastWeatherItem : constant ECOA.Asset_Id_Type := 91;
   SOP_MissionSys_Weather_metServer_Weather_weather : constant ECOA.Asset_Id_Type := 92;
   SOP_NavSys_SQL_sqlServer_SQL_tableUpdateNotification : constant ECOA.Asset_Id_Type := 93;
   SOP_NavSys_SQL_sqlServer_SQL_getConnection : constant ECOA.Asset_Id_Type := 94;
   SOP_NavSys_SQL_sqlServer_SQL_endConnection : constant ECOA.Asset_Id_Type := 95;
   SOP_NavSys_SQL_sqlServer_SQL_SQLExecute : constant ECOA.Asset_Id_Type := 96;
   SOP_NavSys_SQL_sqlServer_SQL_getResult : constant ECOA.Asset_Id_Type := 97;
   SOP_NavSys_SQL_sqlServer_SQL_getResultData : constant ECOA.Asset_Id_Type := 98;
   SOP_NavSys_SQL_sqlServer_SQL_getResultColumnCount : constant ECOA.Asset_Id_Type := 99;
   SOP_NavSys_SQL_sqlServer_SQL_getResultColumnInfo : constant ECOA.Asset_Id_Type := 100;
   SOP_NavSys_SQL_sqlServer_SQL_getStatus : constant ECOA.Asset_Id_Type := 101;
   SOP_NavSys_SQL_sqlServer_SQL_setUpdateTable : constant ECOA.Asset_Id_Type := 102;
   SOP_NavSys_SQL_sqlServer_SQL_dump : constant ECOA.Asset_Id_Type := 103;
   SOP_NavSys_SQL_sqlServer_SQL_take : constant ECOA.Asset_Id_Type := 104;
   SOP_NavSys_SQL_sqlServer_SQL_getHelp : constant ECOA.Asset_Id_Type := 105;
   SOP_NavSys_SQL_sqlServer_SQL_listTables : constant ECOA.Asset_Id_Type := 106;
   SOP_NavSys_SQL_sqlServer_SQL_getLimits : constant ECOA.Asset_Id_Type := 107;
   SOP_NavSys_SQL_sqlServer_SQL_getCounts : constant ECOA.Asset_Id_Type := 108;
   SOP_NavSys_SQL_sqlServer_SQL_getErrorText : constant ECOA.Asset_Id_Type := 109;
   SOP_NavSys_FileIO_fileServer_FileIO_open : constant ECOA.Asset_Id_Type := 110;
   SOP_NavSys_FileIO_fileServer_FileIO_close : constant ECOA.Asset_Id_Type := 111;
   SOP_NavSys_FileIO_fileServer_FileIO_read : constant ECOA.Asset_Id_Type := 112;
   SOP_NavSys_FileIO_fileServer_FileIO_write : constant ECOA.Asset_Id_Type := 113;
   SOP_NavSys_FileIO_fileServer_FileIO_seek : constant ECOA.Asset_Id_Type := 114;
   SOP_NavSys_FileIO_fileServer_FileIO_delete : constant ECOA.Asset_Id_Type := 115;
   SOP_NavSys_FileIO_fileServer_FileIO_opendir : constant ECOA.Asset_Id_Type := 116;
   SOP_NavSys_FileIO_fileServer_FileIO_readdir : constant ECOA.Asset_Id_Type := 117;
   SOP_NavSys_FileIO_fileServer_FileIO_closedir : constant ECOA.Asset_Id_Type := 118;
   SOP_NavSys_Weather_metServer_Weather_setLocation : constant ECOA.Asset_Id_Type := 119;
   SOP_NavSys_Weather_metServer_Weather_getWeather : constant ECOA.Asset_Id_Type := 120;
   SOP_NavSys_Weather_metServer_Weather_getForecastWeather : constant ECOA.Asset_Id_Type := 121;
   SOP_NavSys_Weather_metServer_Weather_getWeatherItem : constant ECOA.Asset_Id_Type := 122;
   SOP_NavSys_Weather_metServer_Weather_getForecastWeatherItem : constant ECOA.Asset_Id_Type := 123;
   SOP_NavSys_Weather_metServer_Weather_weather : constant ECOA.Asset_Id_Type := 124;
   SOP_NavSys_AVS_AVModel_AVS_AVSUpdate : constant ECOA.Asset_Id_Type := 125;

   DEP_DataServers : constant ECOA.Asset_Id_Type := 0;

end ECOA_Assets;

