/* File ECOA_Assets.h */


#include "ECOA.h"


#if !defined(ECOA_ASSETS_H)
#define ECOA_ASSETS_H


#define ECOA_Assets__CMP_dbmServer (0)
#define ECOA_Assets__CMP_sqlServer (1)
#define ECOA_Assets__CMP_fileServer (2)
#define ECOA_Assets__CMP_AVModel (3)
#define ECOA_Assets__CMP_HUMS (4)
#define ECOA_Assets__CMP_MissionSys (5)
#define ECOA_Assets__CMP_NavSys (6)
#define ECOA_Assets__CMP_dbmServer2 (7)
#define ECOA_Assets__CMP_metServer (8)

#define ECOA_Assets__PD_dbmServer (0)
#define ECOA_Assets__PD_sqlServer (1)
#define ECOA_Assets__PD_fileServer (2)
#define ECOA_Assets__PD_AirVehicle (3)
#define ECOA_Assets__PD_dbClient (4)

#define ECOA_Assets__NOD_cpu (0)

#define ECOA_Assets__PF_host (0)

#define ECOA_Assets__SOP_HUMS_DBM_dbmServer_DBM_open (0)
#define ECOA_Assets__SOP_HUMS_DBM_dbmServer_DBM_close (1)
#define ECOA_Assets__SOP_HUMS_DBM_dbmServer_DBM_store (2)
#define ECOA_Assets__SOP_HUMS_DBM_dbmServer_DBM_fetch (3)
#define ECOA_Assets__SOP_HUMS_DBM_dbmServer_DBM_exists (4)
#define ECOA_Assets__SOP_HUMS_DBM_dbmServer_DBM_delete (5)
#define ECOA_Assets__SOP_HUMS_DBM_dbmServer_DBM_firstkey (6)
#define ECOA_Assets__SOP_HUMS_DBM_dbmServer_DBM_nexttkey (7)
#define ECOA_Assets__SOP_HUMS_DBM_dbmServer_DBM_reorganize (8)
#define ECOA_Assets__SOP_HUMS_DBM_dbmServer_DBM_sync (9)
#define ECOA_Assets__SOP_HUMS_DBM_dbmServer_DBM_lasterror (10)
#define ECOA_Assets__SOP_HUMS_DBM_dbmServer_DBM_setopt (11)
#define ECOA_Assets__SOP_HUMS_DBM_dbmServer_DBM_dump (12)
#define ECOA_Assets__SOP_HUMS_DBM_dbmServer_DBM_take (13)
#define ECOA_Assets__SOP_HUMS_DBM_dbmServer_DBM_getHelp (14)
#define ECOA_Assets__SOP_HUMS_DBM_dbmServer_DBM_getLimits (15)
#define ECOA_Assets__SOP_HUMS_DBM_dbmServer_DBM_getCounts (16)
#define ECOA_Assets__SOP_HUMS_SQL_sqlServer_SQL_tableUpdateNotification (17)
#define ECOA_Assets__SOP_HUMS_SQL_sqlServer_SQL_getConnection (18)
#define ECOA_Assets__SOP_HUMS_SQL_sqlServer_SQL_endConnection (19)
#define ECOA_Assets__SOP_HUMS_SQL_sqlServer_SQL_SQLExecute (20)
#define ECOA_Assets__SOP_HUMS_SQL_sqlServer_SQL_getResult (21)
#define ECOA_Assets__SOP_HUMS_SQL_sqlServer_SQL_getResultData (22)
#define ECOA_Assets__SOP_HUMS_SQL_sqlServer_SQL_getResultColumnCount (23)
#define ECOA_Assets__SOP_HUMS_SQL_sqlServer_SQL_getResultColumnInfo (24)
#define ECOA_Assets__SOP_HUMS_SQL_sqlServer_SQL_getStatus (25)
#define ECOA_Assets__SOP_HUMS_SQL_sqlServer_SQL_setUpdateTable (26)
#define ECOA_Assets__SOP_HUMS_SQL_sqlServer_SQL_dump (27)
#define ECOA_Assets__SOP_HUMS_SQL_sqlServer_SQL_take (28)
#define ECOA_Assets__SOP_HUMS_SQL_sqlServer_SQL_getHelp (29)
#define ECOA_Assets__SOP_HUMS_SQL_sqlServer_SQL_listTables (30)
#define ECOA_Assets__SOP_HUMS_SQL_sqlServer_SQL_getLimits (31)
#define ECOA_Assets__SOP_HUMS_SQL_sqlServer_SQL_getCounts (32)
#define ECOA_Assets__SOP_HUMS_SQL_sqlServer_SQL_getErrorText (33)
#define ECOA_Assets__SOP_HUMS_AVS_AVModel_AVS_AVSUpdate (34)
#define ECOA_Assets__SOP_MissionSys_DBM1_dbmServer_DBM_open (35)
#define ECOA_Assets__SOP_MissionSys_DBM1_dbmServer_DBM_close (36)
#define ECOA_Assets__SOP_MissionSys_DBM1_dbmServer_DBM_store (37)
#define ECOA_Assets__SOP_MissionSys_DBM1_dbmServer_DBM_fetch (38)
#define ECOA_Assets__SOP_MissionSys_DBM1_dbmServer_DBM_exists (39)
#define ECOA_Assets__SOP_MissionSys_DBM1_dbmServer_DBM_delete (40)
#define ECOA_Assets__SOP_MissionSys_DBM1_dbmServer_DBM_firstkey (41)
#define ECOA_Assets__SOP_MissionSys_DBM1_dbmServer_DBM_nexttkey (42)
#define ECOA_Assets__SOP_MissionSys_DBM1_dbmServer_DBM_reorganize (43)
#define ECOA_Assets__SOP_MissionSys_DBM1_dbmServer_DBM_sync (44)
#define ECOA_Assets__SOP_MissionSys_DBM1_dbmServer_DBM_lasterror (45)
#define ECOA_Assets__SOP_MissionSys_DBM1_dbmServer_DBM_setopt (46)
#define ECOA_Assets__SOP_MissionSys_DBM1_dbmServer_DBM_dump (47)
#define ECOA_Assets__SOP_MissionSys_DBM1_dbmServer_DBM_take (48)
#define ECOA_Assets__SOP_MissionSys_DBM1_dbmServer_DBM_getHelp (49)
#define ECOA_Assets__SOP_MissionSys_DBM1_dbmServer_DBM_getLimits (50)
#define ECOA_Assets__SOP_MissionSys_DBM1_dbmServer_DBM_getCounts (51)
#define ECOA_Assets__SOP_MissionSys_SQL_sqlServer_SQL_tableUpdateNotification (52)
#define ECOA_Assets__SOP_MissionSys_SQL_sqlServer_SQL_getConnection (53)
#define ECOA_Assets__SOP_MissionSys_SQL_sqlServer_SQL_endConnection (54)
#define ECOA_Assets__SOP_MissionSys_SQL_sqlServer_SQL_SQLExecute (55)
#define ECOA_Assets__SOP_MissionSys_SQL_sqlServer_SQL_getResult (56)
#define ECOA_Assets__SOP_MissionSys_SQL_sqlServer_SQL_getResultData (57)
#define ECOA_Assets__SOP_MissionSys_SQL_sqlServer_SQL_getResultColumnCount (58)
#define ECOA_Assets__SOP_MissionSys_SQL_sqlServer_SQL_getResultColumnInfo (59)
#define ECOA_Assets__SOP_MissionSys_SQL_sqlServer_SQL_getStatus (60)
#define ECOA_Assets__SOP_MissionSys_SQL_sqlServer_SQL_setUpdateTable (61)
#define ECOA_Assets__SOP_MissionSys_SQL_sqlServer_SQL_dump (62)
#define ECOA_Assets__SOP_MissionSys_SQL_sqlServer_SQL_take (63)
#define ECOA_Assets__SOP_MissionSys_SQL_sqlServer_SQL_getHelp (64)
#define ECOA_Assets__SOP_MissionSys_SQL_sqlServer_SQL_listTables (65)
#define ECOA_Assets__SOP_MissionSys_SQL_sqlServer_SQL_getLimits (66)
#define ECOA_Assets__SOP_MissionSys_SQL_sqlServer_SQL_getCounts (67)
#define ECOA_Assets__SOP_MissionSys_SQL_sqlServer_SQL_getErrorText (68)
#define ECOA_Assets__SOP_MissionSys_DBM2_dbmServer2_DBM_open (69)
#define ECOA_Assets__SOP_MissionSys_DBM2_dbmServer2_DBM_close (70)
#define ECOA_Assets__SOP_MissionSys_DBM2_dbmServer2_DBM_store (71)
#define ECOA_Assets__SOP_MissionSys_DBM2_dbmServer2_DBM_fetch (72)
#define ECOA_Assets__SOP_MissionSys_DBM2_dbmServer2_DBM_exists (73)
#define ECOA_Assets__SOP_MissionSys_DBM2_dbmServer2_DBM_delete (74)
#define ECOA_Assets__SOP_MissionSys_DBM2_dbmServer2_DBM_firstkey (75)
#define ECOA_Assets__SOP_MissionSys_DBM2_dbmServer2_DBM_nexttkey (76)
#define ECOA_Assets__SOP_MissionSys_DBM2_dbmServer2_DBM_reorganize (77)
#define ECOA_Assets__SOP_MissionSys_DBM2_dbmServer2_DBM_sync (78)
#define ECOA_Assets__SOP_MissionSys_DBM2_dbmServer2_DBM_lasterror (79)
#define ECOA_Assets__SOP_MissionSys_DBM2_dbmServer2_DBM_setopt (80)
#define ECOA_Assets__SOP_MissionSys_DBM2_dbmServer2_DBM_dump (81)
#define ECOA_Assets__SOP_MissionSys_DBM2_dbmServer2_DBM_take (82)
#define ECOA_Assets__SOP_MissionSys_DBM2_dbmServer2_DBM_getHelp (83)
#define ECOA_Assets__SOP_MissionSys_DBM2_dbmServer2_DBM_getLimits (84)
#define ECOA_Assets__SOP_MissionSys_DBM2_dbmServer2_DBM_getCounts (85)
#define ECOA_Assets__SOP_MissionSys_AVS_AVModel_AVS_AVSUpdate (86)
#define ECOA_Assets__SOP_MissionSys_Weather_metServer_Weather_setLocation (87)
#define ECOA_Assets__SOP_MissionSys_Weather_metServer_Weather_getWeather (88)
#define ECOA_Assets__SOP_MissionSys_Weather_metServer_Weather_getForecastWeather (89)
#define ECOA_Assets__SOP_MissionSys_Weather_metServer_Weather_getWeatherItem (90)
#define ECOA_Assets__SOP_MissionSys_Weather_metServer_Weather_getForecastWeatherItem (91)
#define ECOA_Assets__SOP_MissionSys_Weather_metServer_Weather_weather (92)
#define ECOA_Assets__SOP_NavSys_SQL_sqlServer_SQL_tableUpdateNotification (93)
#define ECOA_Assets__SOP_NavSys_SQL_sqlServer_SQL_getConnection (94)
#define ECOA_Assets__SOP_NavSys_SQL_sqlServer_SQL_endConnection (95)
#define ECOA_Assets__SOP_NavSys_SQL_sqlServer_SQL_SQLExecute (96)
#define ECOA_Assets__SOP_NavSys_SQL_sqlServer_SQL_getResult (97)
#define ECOA_Assets__SOP_NavSys_SQL_sqlServer_SQL_getResultData (98)
#define ECOA_Assets__SOP_NavSys_SQL_sqlServer_SQL_getResultColumnCount (99)
#define ECOA_Assets__SOP_NavSys_SQL_sqlServer_SQL_getResultColumnInfo (100)
#define ECOA_Assets__SOP_NavSys_SQL_sqlServer_SQL_getStatus (101)
#define ECOA_Assets__SOP_NavSys_SQL_sqlServer_SQL_setUpdateTable (102)
#define ECOA_Assets__SOP_NavSys_SQL_sqlServer_SQL_dump (103)
#define ECOA_Assets__SOP_NavSys_SQL_sqlServer_SQL_take (104)
#define ECOA_Assets__SOP_NavSys_SQL_sqlServer_SQL_getHelp (105)
#define ECOA_Assets__SOP_NavSys_SQL_sqlServer_SQL_listTables (106)
#define ECOA_Assets__SOP_NavSys_SQL_sqlServer_SQL_getLimits (107)
#define ECOA_Assets__SOP_NavSys_SQL_sqlServer_SQL_getCounts (108)
#define ECOA_Assets__SOP_NavSys_SQL_sqlServer_SQL_getErrorText (109)
#define ECOA_Assets__SOP_NavSys_FileIO_fileServer_FileIO_open (110)
#define ECOA_Assets__SOP_NavSys_FileIO_fileServer_FileIO_close (111)
#define ECOA_Assets__SOP_NavSys_FileIO_fileServer_FileIO_read (112)
#define ECOA_Assets__SOP_NavSys_FileIO_fileServer_FileIO_write (113)
#define ECOA_Assets__SOP_NavSys_FileIO_fileServer_FileIO_seek (114)
#define ECOA_Assets__SOP_NavSys_FileIO_fileServer_FileIO_delete (115)
#define ECOA_Assets__SOP_NavSys_FileIO_fileServer_FileIO_opendir (116)
#define ECOA_Assets__SOP_NavSys_FileIO_fileServer_FileIO_readdir (117)
#define ECOA_Assets__SOP_NavSys_FileIO_fileServer_FileIO_closedir (118)
#define ECOA_Assets__SOP_NavSys_Weather_metServer_Weather_setLocation (119)
#define ECOA_Assets__SOP_NavSys_Weather_metServer_Weather_getWeather (120)
#define ECOA_Assets__SOP_NavSys_Weather_metServer_Weather_getForecastWeather (121)
#define ECOA_Assets__SOP_NavSys_Weather_metServer_Weather_getWeatherItem (122)
#define ECOA_Assets__SOP_NavSys_Weather_metServer_Weather_getForecastWeatherItem (123)
#define ECOA_Assets__SOP_NavSys_Weather_metServer_Weather_weather (124)
#define ECOA_Assets__SOP_NavSys_AVS_AVModel_AVS_AVSUpdate (125)

#define ECOA_Assets__DEP_DataServers (0)

#endif

