/* File ECOA_Assets.hpp */
#include "ECOA.hpp"


#if !defined(ECOA_ASSETS_HPP)
#define ECOA_ASSETS_HPP

namespace ECOA_Assets {

   static const ECOA::asset_id CMP_dbmServer = 0;
   static const ECOA::asset_id CMP_sqlServer = 1;
   static const ECOA::asset_id CMP_fileServer = 2;
   static const ECOA::asset_id CMP_AVModel = 3;
   static const ECOA::asset_id CMP_HUMS = 4;
   static const ECOA::asset_id CMP_MissionSys = 5;
   static const ECOA::asset_id CMP_NavSys = 6;
   static const ECOA::asset_id CMP_dbmServer2 = 7;
   static const ECOA::asset_id CMP_metServer = 8;

   static const ECOA::asset_id PD_dbmServer = 0;
   static const ECOA::asset_id PD_sqlServer = 1;
   static const ECOA::asset_id PD_fileServer = 2;
   static const ECOA::asset_id PD_AirVehicle = 3;
   static const ECOA::asset_id PD_dbClient = 4;

   static const ECOA::asset_id NOD_cpu = 0;

   static const ECOA::asset_id PF_host = 0;

   static const ECOA::asset_id SOP_HUMS_DBM_dbmServer_DBM_open = 0;
   static const ECOA::asset_id SOP_HUMS_DBM_dbmServer_DBM_close = 1;
   static const ECOA::asset_id SOP_HUMS_DBM_dbmServer_DBM_store = 2;
   static const ECOA::asset_id SOP_HUMS_DBM_dbmServer_DBM_fetch = 3;
   static const ECOA::asset_id SOP_HUMS_DBM_dbmServer_DBM_exists = 4;
   static const ECOA::asset_id SOP_HUMS_DBM_dbmServer_DBM_delete = 5;
   static const ECOA::asset_id SOP_HUMS_DBM_dbmServer_DBM_firstkey = 6;
   static const ECOA::asset_id SOP_HUMS_DBM_dbmServer_DBM_nexttkey = 7;
   static const ECOA::asset_id SOP_HUMS_DBM_dbmServer_DBM_reorganize = 8;
   static const ECOA::asset_id SOP_HUMS_DBM_dbmServer_DBM_sync = 9;
   static const ECOA::asset_id SOP_HUMS_DBM_dbmServer_DBM_lasterror = 10;
   static const ECOA::asset_id SOP_HUMS_DBM_dbmServer_DBM_setopt = 11;
   static const ECOA::asset_id SOP_HUMS_DBM_dbmServer_DBM_dump = 12;
   static const ECOA::asset_id SOP_HUMS_DBM_dbmServer_DBM_take = 13;
   static const ECOA::asset_id SOP_HUMS_DBM_dbmServer_DBM_getHelp = 14;
   static const ECOA::asset_id SOP_HUMS_DBM_dbmServer_DBM_getLimits = 15;
   static const ECOA::asset_id SOP_HUMS_DBM_dbmServer_DBM_getCounts = 16;
   static const ECOA::asset_id SOP_HUMS_SQL_sqlServer_SQL_tableUpdateNotification = 17;
   static const ECOA::asset_id SOP_HUMS_SQL_sqlServer_SQL_getConnection = 18;
   static const ECOA::asset_id SOP_HUMS_SQL_sqlServer_SQL_endConnection = 19;
   static const ECOA::asset_id SOP_HUMS_SQL_sqlServer_SQL_SQLExecute = 20;
   static const ECOA::asset_id SOP_HUMS_SQL_sqlServer_SQL_getResult = 21;
   static const ECOA::asset_id SOP_HUMS_SQL_sqlServer_SQL_getResultData = 22;
   static const ECOA::asset_id SOP_HUMS_SQL_sqlServer_SQL_getResultColumnCount = 23;
   static const ECOA::asset_id SOP_HUMS_SQL_sqlServer_SQL_getResultColumnInfo = 24;
   static const ECOA::asset_id SOP_HUMS_SQL_sqlServer_SQL_getStatus = 25;
   static const ECOA::asset_id SOP_HUMS_SQL_sqlServer_SQL_setUpdateTable = 26;
   static const ECOA::asset_id SOP_HUMS_SQL_sqlServer_SQL_dump = 27;
   static const ECOA::asset_id SOP_HUMS_SQL_sqlServer_SQL_take = 28;
   static const ECOA::asset_id SOP_HUMS_SQL_sqlServer_SQL_getHelp = 29;
   static const ECOA::asset_id SOP_HUMS_SQL_sqlServer_SQL_listTables = 30;
   static const ECOA::asset_id SOP_HUMS_SQL_sqlServer_SQL_getLimits = 31;
   static const ECOA::asset_id SOP_HUMS_SQL_sqlServer_SQL_getCounts = 32;
   static const ECOA::asset_id SOP_HUMS_SQL_sqlServer_SQL_getErrorText = 33;
   static const ECOA::asset_id SOP_HUMS_AVS_AVModel_AVS_AVSUpdate = 34;
   static const ECOA::asset_id SOP_MissionSys_DBM1_dbmServer_DBM_open = 35;
   static const ECOA::asset_id SOP_MissionSys_DBM1_dbmServer_DBM_close = 36;
   static const ECOA::asset_id SOP_MissionSys_DBM1_dbmServer_DBM_store = 37;
   static const ECOA::asset_id SOP_MissionSys_DBM1_dbmServer_DBM_fetch = 38;
   static const ECOA::asset_id SOP_MissionSys_DBM1_dbmServer_DBM_exists = 39;
   static const ECOA::asset_id SOP_MissionSys_DBM1_dbmServer_DBM_delete = 40;
   static const ECOA::asset_id SOP_MissionSys_DBM1_dbmServer_DBM_firstkey = 41;
   static const ECOA::asset_id SOP_MissionSys_DBM1_dbmServer_DBM_nexttkey = 42;
   static const ECOA::asset_id SOP_MissionSys_DBM1_dbmServer_DBM_reorganize = 43;
   static const ECOA::asset_id SOP_MissionSys_DBM1_dbmServer_DBM_sync = 44;
   static const ECOA::asset_id SOP_MissionSys_DBM1_dbmServer_DBM_lasterror = 45;
   static const ECOA::asset_id SOP_MissionSys_DBM1_dbmServer_DBM_setopt = 46;
   static const ECOA::asset_id SOP_MissionSys_DBM1_dbmServer_DBM_dump = 47;
   static const ECOA::asset_id SOP_MissionSys_DBM1_dbmServer_DBM_take = 48;
   static const ECOA::asset_id SOP_MissionSys_DBM1_dbmServer_DBM_getHelp = 49;
   static const ECOA::asset_id SOP_MissionSys_DBM1_dbmServer_DBM_getLimits = 50;
   static const ECOA::asset_id SOP_MissionSys_DBM1_dbmServer_DBM_getCounts = 51;
   static const ECOA::asset_id SOP_MissionSys_SQL_sqlServer_SQL_tableUpdateNotification = 52;
   static const ECOA::asset_id SOP_MissionSys_SQL_sqlServer_SQL_getConnection = 53;
   static const ECOA::asset_id SOP_MissionSys_SQL_sqlServer_SQL_endConnection = 54;
   static const ECOA::asset_id SOP_MissionSys_SQL_sqlServer_SQL_SQLExecute = 55;
   static const ECOA::asset_id SOP_MissionSys_SQL_sqlServer_SQL_getResult = 56;
   static const ECOA::asset_id SOP_MissionSys_SQL_sqlServer_SQL_getResultData = 57;
   static const ECOA::asset_id SOP_MissionSys_SQL_sqlServer_SQL_getResultColumnCount = 58;
   static const ECOA::asset_id SOP_MissionSys_SQL_sqlServer_SQL_getResultColumnInfo = 59;
   static const ECOA::asset_id SOP_MissionSys_SQL_sqlServer_SQL_getStatus = 60;
   static const ECOA::asset_id SOP_MissionSys_SQL_sqlServer_SQL_setUpdateTable = 61;
   static const ECOA::asset_id SOP_MissionSys_SQL_sqlServer_SQL_dump = 62;
   static const ECOA::asset_id SOP_MissionSys_SQL_sqlServer_SQL_take = 63;
   static const ECOA::asset_id SOP_MissionSys_SQL_sqlServer_SQL_getHelp = 64;
   static const ECOA::asset_id SOP_MissionSys_SQL_sqlServer_SQL_listTables = 65;
   static const ECOA::asset_id SOP_MissionSys_SQL_sqlServer_SQL_getLimits = 66;
   static const ECOA::asset_id SOP_MissionSys_SQL_sqlServer_SQL_getCounts = 67;
   static const ECOA::asset_id SOP_MissionSys_SQL_sqlServer_SQL_getErrorText = 68;
   static const ECOA::asset_id SOP_MissionSys_DBM2_dbmServer2_DBM_open = 69;
   static const ECOA::asset_id SOP_MissionSys_DBM2_dbmServer2_DBM_close = 70;
   static const ECOA::asset_id SOP_MissionSys_DBM2_dbmServer2_DBM_store = 71;
   static const ECOA::asset_id SOP_MissionSys_DBM2_dbmServer2_DBM_fetch = 72;
   static const ECOA::asset_id SOP_MissionSys_DBM2_dbmServer2_DBM_exists = 73;
   static const ECOA::asset_id SOP_MissionSys_DBM2_dbmServer2_DBM_delete = 74;
   static const ECOA::asset_id SOP_MissionSys_DBM2_dbmServer2_DBM_firstkey = 75;
   static const ECOA::asset_id SOP_MissionSys_DBM2_dbmServer2_DBM_nexttkey = 76;
   static const ECOA::asset_id SOP_MissionSys_DBM2_dbmServer2_DBM_reorganize = 77;
   static const ECOA::asset_id SOP_MissionSys_DBM2_dbmServer2_DBM_sync = 78;
   static const ECOA::asset_id SOP_MissionSys_DBM2_dbmServer2_DBM_lasterror = 79;
   static const ECOA::asset_id SOP_MissionSys_DBM2_dbmServer2_DBM_setopt = 80;
   static const ECOA::asset_id SOP_MissionSys_DBM2_dbmServer2_DBM_dump = 81;
   static const ECOA::asset_id SOP_MissionSys_DBM2_dbmServer2_DBM_take = 82;
   static const ECOA::asset_id SOP_MissionSys_DBM2_dbmServer2_DBM_getHelp = 83;
   static const ECOA::asset_id SOP_MissionSys_DBM2_dbmServer2_DBM_getLimits = 84;
   static const ECOA::asset_id SOP_MissionSys_DBM2_dbmServer2_DBM_getCounts = 85;
   static const ECOA::asset_id SOP_MissionSys_AVS_AVModel_AVS_AVSUpdate = 86;
   static const ECOA::asset_id SOP_MissionSys_Weather_metServer_Weather_setLocation = 87;
   static const ECOA::asset_id SOP_MissionSys_Weather_metServer_Weather_getWeather = 88;
   static const ECOA::asset_id SOP_MissionSys_Weather_metServer_Weather_getForecastWeather = 89;
   static const ECOA::asset_id SOP_MissionSys_Weather_metServer_Weather_getWeatherItem = 90;
   static const ECOA::asset_id SOP_MissionSys_Weather_metServer_Weather_getForecastWeatherItem = 91;
   static const ECOA::asset_id SOP_MissionSys_Weather_metServer_Weather_weather = 92;
   static const ECOA::asset_id SOP_NavSys_SQL_sqlServer_SQL_tableUpdateNotification = 93;
   static const ECOA::asset_id SOP_NavSys_SQL_sqlServer_SQL_getConnection = 94;
   static const ECOA::asset_id SOP_NavSys_SQL_sqlServer_SQL_endConnection = 95;
   static const ECOA::asset_id SOP_NavSys_SQL_sqlServer_SQL_SQLExecute = 96;
   static const ECOA::asset_id SOP_NavSys_SQL_sqlServer_SQL_getResult = 97;
   static const ECOA::asset_id SOP_NavSys_SQL_sqlServer_SQL_getResultData = 98;
   static const ECOA::asset_id SOP_NavSys_SQL_sqlServer_SQL_getResultColumnCount = 99;
   static const ECOA::asset_id SOP_NavSys_SQL_sqlServer_SQL_getResultColumnInfo = 100;
   static const ECOA::asset_id SOP_NavSys_SQL_sqlServer_SQL_getStatus = 101;
   static const ECOA::asset_id SOP_NavSys_SQL_sqlServer_SQL_setUpdateTable = 102;
   static const ECOA::asset_id SOP_NavSys_SQL_sqlServer_SQL_dump = 103;
   static const ECOA::asset_id SOP_NavSys_SQL_sqlServer_SQL_take = 104;
   static const ECOA::asset_id SOP_NavSys_SQL_sqlServer_SQL_getHelp = 105;
   static const ECOA::asset_id SOP_NavSys_SQL_sqlServer_SQL_listTables = 106;
   static const ECOA::asset_id SOP_NavSys_SQL_sqlServer_SQL_getLimits = 107;
   static const ECOA::asset_id SOP_NavSys_SQL_sqlServer_SQL_getCounts = 108;
   static const ECOA::asset_id SOP_NavSys_SQL_sqlServer_SQL_getErrorText = 109;
   static const ECOA::asset_id SOP_NavSys_FileIO_fileServer_FileIO_open = 110;
   static const ECOA::asset_id SOP_NavSys_FileIO_fileServer_FileIO_close = 111;
   static const ECOA::asset_id SOP_NavSys_FileIO_fileServer_FileIO_read = 112;
   static const ECOA::asset_id SOP_NavSys_FileIO_fileServer_FileIO_write = 113;
   static const ECOA::asset_id SOP_NavSys_FileIO_fileServer_FileIO_seek = 114;
   static const ECOA::asset_id SOP_NavSys_FileIO_fileServer_FileIO_delete = 115;
   static const ECOA::asset_id SOP_NavSys_FileIO_fileServer_FileIO_opendir = 116;
   static const ECOA::asset_id SOP_NavSys_FileIO_fileServer_FileIO_readdir = 117;
   static const ECOA::asset_id SOP_NavSys_FileIO_fileServer_FileIO_closedir = 118;
   static const ECOA::asset_id SOP_NavSys_Weather_metServer_Weather_setLocation = 119;
   static const ECOA::asset_id SOP_NavSys_Weather_metServer_Weather_getWeather = 120;
   static const ECOA::asset_id SOP_NavSys_Weather_metServer_Weather_getForecastWeather = 121;
   static const ECOA::asset_id SOP_NavSys_Weather_metServer_Weather_getWeatherItem = 122;
   static const ECOA::asset_id SOP_NavSys_Weather_metServer_Weather_getForecastWeatherItem = 123;
   static const ECOA::asset_id SOP_NavSys_Weather_metServer_Weather_weather = 124;
   static const ECOA::asset_id SOP_NavSys_AVS_AVModel_AVS_AVSUpdate = 125;

   static const ECOA::asset_id DEP_DataServers = 0;

}

#endif

