/*
 * ECOS Demo1B HMI Target class
 * 
 * K S Appleby  March 2012
 * 
 * $Id: Target.h,v 2.0 2017/08/02 15:38:06 ksappleb Exp $
 */

#ifndef TARGET_H_
#define TARGET_H_

#include <libxml/parser.h>
#include "Pair.h"

typedef struct Targett {
	int     id;
	Pair    position;
	double  height;
	char*   description;
} *Target;

Target targetCreate();
void   targetDestroy( Target trgt );

char*  targetToXML( Target trgt, char* buf );
char*  targetToString( Target trgt, char* buf );

void   targetFillFromXML( Target trgt, xmlDocPtr pDoc, xmlNodePtr pNode );

#endif /*TARGET_H_*/
