/*
 * subsys.h
 *
 *  Created on: 12 Jul 2016
 *      Author: SW_APPLEBY
 */

#ifndef STEPS_4_COMPONENTIMPLEMENTATIONS_HUMS_HUMS_MODMAIN_SUBSYS_H_
#define STEPS_4_COMPONENTIMPLEMENTATIONS_HUMS_HUMS_MODMAIN_SUBSYS_H_

#include "ECOA.h"

typedef struct HUMSData_t *HUMSData;

#define     HUMSData_MAXSIZE 10240

HUMSData    HUMSData_Create();
void        HUMSData_Destroy( HUMSData humsData );
ECOA__int32 HUMSData_Size( HUMSData humsData );

void          getHUMSData( ECOA__int32 subsys, HUMSData humsData );
char*         getSQLInsertCommand( ECOA__int32 subsys, ECOA__hr_time ts, HUMSData humsData );
ECOA__float32 getTrendCoefficient( ECOA__int32 subsys, HUMSData humsData, char* humsRule );


#endif /* STEPS_4_COMPONENTIMPLEMENTATIONS_HUMS_HUMS_MODMAIN_SUBSYS_H_ */
