/* @file MissionSys_modANOther_user_context.h
 * This is an example of a user defined User Module context
 */

#if !defined(_MISSIONSYS_MODANOTHER_USER_CONTEXT_H)
#define _MISSIONSYS_MODANOTHER_USER_CONTEXT_H

#if defined(__cplusplus)
extern "C" {
#endif /* __cplusplus */

/* Container Types */
#include "MissionSys_modANOther_container_types.h"

#include <sktlib/inetAddress.h>
#include <sktlib/datagramSocket.h>

/* User Module Context structure example */
typedef struct
{
	ECOA__DBM__ConnectionId vssDBHandle;
	ECOA__DBM__ConnectionId tgtDBHandle;
	DatagramSocket          dsplSock;
	InetAddress             dsplAddr;

} MissionSys_modANOther_user_context;

/* Warm Start Module Context structure example */
typedef struct
{
   /* declare the Warm Start Module Context data here */
   int dmy;
} MissionSys_modANOther_warm_start_context;

#if defined(__cplusplus)
}
#endif /* __cplusplus */

#endif  /* _MISSIONSYS_MODANOTHER_USER_CONTEXT_H */
