/* File AVS.h */
#if !defined(AVS_H)
#define AVS_H

#include "ECOA.h" /* Fundamental types declared for the platform */

#if defined(__cplusplus)
extern "C" {
#endif /* __cplusplus */

/* Array type */
#define AVS__AVS_MAXSIZE 8192
typedef struct
{
   ECOA__uint32 current_size;
   ECOA__byte data[AVS__AVS_MAXSIZE];
} AVS__AVS;

/* Record type */
typedef struct
{
   ECOA__double64 Latitude;
   ECOA__double64 Longitude;
   ECOA__double64 Height;
   ECOA__double64 Speed;
   ECOA__double64 Heading;
} AVS__AVSType;


#if defined(__cplusplus)
}
#endif /* __cplusplus */

#endif  /* AVS_H */
