/* File ECOA__URL.h */
#if !defined(ECOA__URL_H)
#define ECOA__URL_H

#include "ECOA.h" /* Fundamental types declared for the platform */

#if defined(__cplusplus)
extern "C" {
#endif /* __cplusplus */

/* Fixed array type */
#define ECOA__URL__Protocol_MAXSIZE 32
typedef ECOA__char8 ECOA__URL__Protocol[ECOA__URL__Protocol_MAXSIZE];

/* Fixed array type */
#define ECOA__URL__HostName_MAXSIZE 256
typedef ECOA__char8 ECOA__URL__HostName[ECOA__URL__HostName_MAXSIZE];

/* Fixed array type */
#define ECOA__URL__FileName_MAXSIZE 256
typedef ECOA__char8 ECOA__URL__FileName[ECOA__URL__FileName_MAXSIZE];

/* Record type */
typedef struct
{
   ECOA__URL__Protocol protocol;
   ECOA__URL__HostName host;
   ECOA__int32 port;
   ECOA__URL__FileName file;
} ECOA__URL__URL;


#if defined(__cplusplus)
}
#endif /* __cplusplus */

#endif  /* ECOA__URL_H */
