/*
 * ECOS Demo1B HMI Pair class
 * 
 * Might be a lat/long position, an x/y position, or whatever...
 * 
 * K S Appleby  March 2012
 * 
 * $Id: Pair.h,v 2.0 2017/08/02 15:38:06 ksappleb Exp $
 */

#ifndef PAIR_H_
#define PAIR_H_

#include <libxml/parser.h>

typedef struct Pairt {
	double a;
	double b;
} Pair;

char* pairToXML( Pair pair, char* aLabel, char* bLabel, char* buf );
char* pairToString( Pair pair, char* aLabel, char* bLabel, char* buf );

void  pairFillFromXML( Pair* pair, xmlDocPtr pDoc, xmlNodePtr pNode, char* aLabel, char* bLabel );

#endif /*PAIR_H_*/
